---
updatedAt: 2026-04-28T09:31:16.000Z
agentTools:
  projectIndex: https://docs.makaira.io/llms.txt
---

# Get a list of all available indices

Get a list of all available indices

Returns all Elasticsearch indices available for the current instance, including active and passive (rebuild) indices.

Requires authentication.

## Request

**`GET /indices`**

### Headers

| Header          | Value            |
| --------------- | ---------------- |
| `Authorization` | `Bearer <token>` |

## Response

Returns a JSON object describing available indices per instance and language.

### Response Body

| Field      | Type   | Description                                         |
| ---------- | ------ | --------------------------------------------------- |
| `instance` | string | Instance identifier.                                |
| `language` | string | Language code.                                      |
| `active`   | string | Name of the currently active index.                 |
| `passive`  | string | Name of the passive (rebuild) index, if one exists. |

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Makaira API",
    "version": "1.0",
    "contact": {
      "name": "Makaira GmbH",
      "url": "https://www.makaira.io/",
      "email": "support@makaira.io"
    },
    "description": "API of the powerful Makaira Search/Recommendation and Marketing Suite"
  },
  "servers": [
    {
      "url": "https://{yourinstance}.makaira.io"
    }
  ],
  "paths": {
    "/indices": {
      "get": {
        "summary": "Get a list of all available indices",
        "tags": [
          "Index Management"
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        },
        "operationId": "get-indices",
        "description": "Get a list of all available indices",
        "parameters": [
          {
            "$ref": "#/components/parameters/instance"
          }
        ]
      }
    }
  },
  "components": {
    "parameters": {
      "instance": {
        "in": "header",
        "name": "X-Makaira-Instance",
        "required": true,
        "description": "Makaira Instance ID",
        "schema": {
          "type": "string"
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Authentication by JSON Web Token\n"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```